#!/bin/sh
#
# $Header: /CVSROOT/public/scylla-charybdis/md5backup/bin/statistics.sh,v 1.2 2004/04/24 01:10:46 tino Exp $
#
# $Log: statistics.sh,v $
# Revision 1.2  2004/04/24 01:10:46  tino
# Intermediate version, I start to implement linked file store now
#

awk -F/ '
{ sub(/\/[^/][^/]*\..*$/,""); count[$2 $3]++; }
END {
for (i=0; i<65536; i++)
  num[sprintf("%d", count[sprintf("%04x", i)])]++;
max=-1
for (a in num)
  {
    i=0+a
    if (num[i]>0 && max<i)
      max=i;
  }
for (i=0; i<=max; i++)
  printf("%3d %d\n", i, num[i]);
}' check.ok |
tee statistics.tmp

if [ -s statistics.tmp ]
then
	ln statistics.tmp statistics-`date +%Y-%m-%d`.out
	mv -f statistics.tmp statistics.out
fi
